<template>
    <img :src="url" v-on:click="imageClicked($event)" v-if="url.startsWith('https')" />
</template>

<script>
export default {
    props: {
        url: {
            type: String,
            required: true,
            validator: url => {
                return url.startsWith('https');
            }
        }
    },
    methods: {
        imageClicked(event) {
            this.$emit('imageClicked', event.target.value);
        }
    }
}
</script>

<style>
img {
  box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
  max-width: 100%;
  max-height: 100%;
}
</style>
